// --------------------------------------------------------------------------------------
//
// AmpelMain.H                                                     Ulrich Mller 11.06.02
//                                                                 PCS1700   C++Builder 4
// Betrieb einer Fugngerampel in zwei eigenen Threads
//
// --------------------------------------------------------------------------------------

#ifndef AmpelMainH
#define AmpelMainH

#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <syncobjs.hpp>           // --- fr TEvent ----
#include "FishFa30.h"

// ---------- TAmpelAuto ---------------------------------------------------------

class TAmpelAuto : public TThread
{
private:

protected:
    void __fastcall Execute();
public:
    __fastcall TAmpelAuto(bool CreateSuspended);
};

// ------------- TAmpelFuss --------------------------------------------------------

class TAmpelFuss : public TThread
{
private:

protected:
    void __fastcall Execute();
public:
    __fastcall TAmpelFuss(bool CreateSuspended);
};

//------- ThreadMain ------------------------------------------------------------------

class TfrmThreadMain : public TForm
{
__published:	// Von der IDE verwaltete Komponenten
    TLabel *lblStatus;
    TButton *cmdAction;
    TButton *cmdEnde;
    TLabel *lblStatusi;
    TButton *cmdFussWunsch;
    void __fastcall cmdActionClick(TObject *Sender);
    void __fastcall cmdEndeClick(TObject *Sender);
    void __fastcall cmdFussWunschClick(TObject *Sender);
    void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
private:
    TAmpelAuto *AmpelAuto;
    TAmpelFuss *AmpelFuss;
    void __fastcall AmpelAutoEnde(TObject * Sender);
    void __fastcall AmpelFussEnde(TObject * Sender);
public:
    __fastcall TfrmThreadMain(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TfrmThreadMain *frmThreadMain;
//---------------------------------------------------------------------------
#endif
